# Uses of Class
org.apache.lucene.util.OfflineSorter.BufferSize

Packages that use OfflineSorter.BufferSize
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of OfflineSorter.BufferSize in org.apache.lucene.util

  Methods in org.apache.lucene.util that return OfflineSorter.BufferSize
  Modifier and Type
  Method
  Description
  `static OfflineSorter.BufferSize`
  OfflineSorter.BufferSize.`automatic()`
  Approximately half of the currently available free heap, but no less than `OfflineSorter.ABSOLUTE_MIN_SORT_BUFFER_SIZE`.
  `static OfflineSorter.BufferSize`
  OfflineSorter.BufferSize.`megabytes(long mb)`
  Creates a `OfflineSorter.BufferSize` in MB.
  Constructors in org.apache.lucene.util with parameters of type OfflineSorter.BufferSize
  Modifier
  Constructor
  Description
  ``
  `OfflineSorter(Directory dir, String tempFileNamePrefix, Comparator<BytesRef> comparator, OfflineSorter.BufferSize ramBufferSize, int maxTempfiles, int valueLength, ExecutorService exec, int maxPartitionsInRAM)`
  All-details constructor.